Package org.springframework.dao

# Class OptimisticLockingFailureException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.dao.DataAccessException
org.springframework.dao.TransientDataAccessException
org.springframework.dao.ConcurrencyFailureException
org.springframework.dao.OptimisticLockingFailureException

All Implemented Interfaces:
  `Serializable`

public class OptimisticLockingFailureException extends ConcurrencyFailureException
Exception thrown on an optimistic locking violation.

This exception will be thrown either by O/R mapping tools or by custom DAO implementations. Optimistic locking failure is typically not detected by the database itself.

Author:
  Rod Johnson
See Also:
  - `PessimisticLockingFailureException`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`OptimisticLockingFailureException(String msg)`
Constructor for OptimisticLockingFailureException.
`OptimisticLockingFailureException(String msg, Throwable cause)`
Constructor for OptimisticLockingFailureException.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OptimisticLockingFailureException

public OptimisticLockingFailureException(@Nullable String msg)
Constructor for OptimisticLockingFailureException.

Parameters:
  `msg` - the detail message

### OptimisticLockingFailureException

public OptimisticLockingFailureException(@Nullable String msg, @Nullable Throwable cause)
Constructor for OptimisticLockingFailureException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause from the data access API in use